Bug 500289 - Radeon Mobility M6 LY scaler scrambles pixel columns
Radeon Mobility M6 LY scaler scrambles pixel columns
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 01:46 EDT by Albert Cahalan
Modified: 2011-06-27 10:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:11:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Albert Cahalan 2009-05-12 01:46:42 EDT
Description of problem:

Small groups of pixel columns are in reverse order. The group
size depends on the scaling factor. Columns 1 through 12 can be
ordered 2 1 4 3 6 5 8 7 10 9 12 11 or 3 2 1 6 5 4 9 8 7 12 11 10
or similar.

Text is pretty much unreadable.

This bug affects the installer, the bare kernel framebuffer console,
and the GNOME desktop. This bug hits very early in boot, even if X
never runs. (for example, init defaulting to runlevel 3)

The PCI ID is 4c59. This part is found in older Dell laptops.

A much older Fedora (unsure: 6, 7, 8, or 9) did not have trouble.
I suspect the kernel mode setting is at fault. The framebuffer
console certainly doesn't help.

Version-Release number of selected component (if applicable):

rawhide as of 10 PM, May 11, 2009

How reproducible:

100%

Steps to Reproduce:
1. boot the install DVD
2. get to the part where the graphical install begins
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bug Zapper 2009-06-09 11:39:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jérôme Glisse 2009-10-14 06:50:00 EDT
Can you test with fedora 12 livecd and report if it works with it.
Comment 3 Albert Cahalan 2009-10-14 14:41:48 EDT
Do you have any reason to think that you've fixed it? If not, then of course it isn't fixed. Bugs don't go away on their own.

I'll try to locate the laptop. Because of this bug, I told my employer that the laptop was completely unusable. For now, you may assume that the fedora 12 livecd does not work with the laptop.
Comment 4 Jérôme Glisse 2009-10-15 10:14:48 EDT
We have done major update to radeon driver so there is good chance that we fixed this bug along the way (such things happen a lot in video driver fixing one things fix a bunch of others things).
Comment 5 Albert Cahalan 2009-10-22 15:12:03 EDT
I put this file on a CD-R. The date is from when I downloaded it.

-rw-rw-r-- 1 albert albert 695205888 2009-10-16 00:26 F12-Beta-i686-Live.iso

The video gets screwy during the part where a Fedora teardrop thing (small, on a sky-blue background) is being abused as a progress bar.

It remains screwy after the logo fills in. Oddly, the mouse pointer is not affected.

It remains screwy as I get the picture of fedora logos tiled like flooring receeding into a fog.

It remains screwy as a dialog says "Select language and click Log In".

I think that's enough to say the problem is not fixed...

BTW, the bottom of the laptop says "Model No: PP01L" and "Latitude C510 / C610".
Comment 6 Albert Cahalan 2009-10-22 15:25:44 EDT
In case it might be related, the left most 1/3 of the pixels in the top line are dark. The precise length varies, with about 4 to 10 pixels of flicker at the end of the dark area. Also, 4 to 10 pixels flicker dark at about 55% over from the left.
Comment 7 Kirsa 2010-03-06 12:32:00 EST
I have smudged text too.  What should I do?  I believe it is an issue with my driver, which is a Radeon Mobility M6.
Comment 8 David W. Legg 2010-04-22 12:36:46 EDT
Still a problem in Fedora 31 beta, as of 2010/04/18 on a Dell C610.
Comment 9 Bug Zapper 2010-04-27 10:16:39 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 David W. Legg 2010-05-07 04:54:31 EDT
Have just tried my lap-top with this chipset using kubuntu 9.10.
With its 2.6.31 kernel kubuntu does not exhibit the bug,
therefore I conclude that it is almost certainly something
to do with the RedHat kernel modifications that are not
also applied to the kubuntu kernel.
I.e. Somebody has broken it :)
Comment 11 Chuck Ebbert 2010-09-03 09:45:59 EDT
Is this still a problem with kernel-2.6.34.6-47?
Comment 12 Albert Cahalan 2010-09-03 21:50:14 EDT
(In reply to comment #11)
> Is this still a problem with kernel-2.6.34.6-47?

Do you have a URL for a *.iso file you want tested?
Comment 13 Jérôme Glisse 2010-11-08 10:21:08 EST
http://fedoraproject.org/en/get-fedora

Use a livecd and attach kernel + Xorg log of livecd if you see the issue
Comment 14 David W. Legg 2010-11-08 10:38:57 EST
Sadly the lap-top that exhibited the bug is now dead.
Comment 15 Bug Zapper 2011-06-02 14:05:48 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2011-06-27 10:11:56 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.